# BEGIN SourceDeps(oneline):
BuildRequires: texinfo
# END SourceDeps(oneline)
Name:           mpfi
Version:        1.5.1
Release:        alt1_9
Summary:        An interval arithmetic library based on MPFR
Group:          Engineering
License:        LGPLv2+
URL:            http://perso.ens-lyon.fr/nathalie.revol/software.html
Source0:        http://gforge.inria.fr/frs/download.php/30129/%{name}-%{version}.tar.bz2
# Add support for aarch64
Patch0:         %{name}-aarch64.patch

BuildRequires:  libmpfr-devel
BuildRequires: libgmp-devel libgmp_cxx-devel
Requires(post): info
Requires(preun):  info
Source44: import.info


%description
MPFI is intended to be a portable library written in C for arbitrary
precision interval arithmetic with intervals represented using MPFR
reliable floating-point numbers. It is based on the GNU MP library and
on the MPFR library and is part of the latter. The purpose of an
arbitrary precision interval arithmetic is on the one hand to get
"guaranteed" results, thanks to interval computation, and on the other
hand to obtain accurate results, thanks to multiple precision
arithmetic. The MPFI library is built upon MPFR in order to benefit
from the correct roundings provided by MPFR. Further advantages of
using MPFR are its portability and compliance with the IEEE 754
standard for floating-point arithmetic.


%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}%{?_isa} = %{version}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        static
Summary:        Static library for %{name}
Group:          Development/C


%description    static
The %{name}-static package contains the static %{name} library.


%prep
%setup -q
%patch0


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

# Remove libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Remove dir file in the info directory
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%check
make check

%files
%doc AUTHORS NEWS TODO
%{_libdir}/libmpfi.so.*

%files devel
%{_includedir}/mpfi.h
%{_includedir}/mpfi_io.h
%{_infodir}/%{name}.info*
%{_libdir}/libmpfi.so

%files static
%{_libdir}/lib%{name}.a


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_7
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_6
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_5
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_4
- initial fc import

